<div class="width-full center-element">
    <canvas id="canvas"></canvas>
</div>
#{set 'moreStyles'}
<style>
    class$="-legend"] {
        list-style: none;
        cursor: pointer;
        padding-left: 0;
    }

    [class$="-legend"] li {
        display: flex !important;
        padding: 0 5px;
        font-style: normal;
        font-weight: normal;
        font-size: 14px;
        line-height: 14px;
        padding-bottom: 5px;
        color: #000000;
    }

    [class$="-legend"] li.hidden {
        text-decoration: line-through;
    }

    [class$="-legend"] li span {
        border-radius: 10px;
        padding-right: 18px;
        display: inline-block;
        height: 18px;
        margin-right: 10px;
        width: 18px;
    }
.center-element {margin: auto;width: 50%;padding: 10px;}
canvas{-moz-user-select: none;-webkit-user-select: none;-ms-user-select: none;}
</style>
#{/set}
#{set 'chartScripts'}
<script src="@{'/public/vendor/chart/dist/Chart.bundle.min.js'}"></script>
#{if _labelOutside !=  null || _labelOutSide}
<script src="@{'/public/javascripts/chartjs-plugin-labels.min.js'}"></script>
#{/if}
<script>
let data = JSON.parse('${utils.common.JsonUtil.toJson(_data).raw()}')
var ctx = document.getElementById('canvas').getContext('2d');
var myChart = new Chart(ctx, {
    type: 'pie',
    data: {
        datasets: [{
            label: 'Muda',
            fill: false,
            data: [...data.map(e => e.count)],
            backgroundColor: [
                '#E4A118',
                '#E24858',
                '#13A2B4',
                '#58B5AB',
                '#6A91FF',
                '#84B2FD',
            ],
            borderColor: [
                '#E4A118',
                '#E24858',
                '#13A2B4',
                '#58B5AB',
                '#6A91FF',
                '#84B2FD',
            ],
        }
        ],
			labels: [
				...data.map(e => e.name + ": (" + e.count + ")")
			]
    },
    options: {
                plugins: {
                      labels: {
                            render: function(args) {
                                return args.value
                            },
                            fontColor: '#FFF',
                            fontFamily: 'Nunito,Sans-Serif',
                            fontStyle: 'bold'
                      }
                },
				responsive: true,
				legend: {
                    display: ${ _legend == null || _legend},
				    position: 'bottom',
				    labels : {
				        fontSize:20,
				    },
				},
				title: {
					display: true,
					text: '${_label}',
					fontSize: 24,
				},
                showTooltips: true,
				tooltips: {
					mode: 'index',
					intersect: true,
					callbacks: {
					    label: function(toolTipItem, data) {
                            return data.labels[toolTipItem.index]
                        }
					}
				},
				hover: {
					mode: 'nearest',
					intersect: true
				},
				animation: {
					animateScale: true,
					animateRotate: true
				},
	}
});
#{if _legend !=  null }
var myLegendContainer = document.getElementById("legend");
// generate HTML legend
myLegendContainer.innerHTML = myChart.generateLegend();
#{/if}
</script>
#{/set}